# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%set_verify_elf_method textrel=relaxed
BuildRequires: libXfixes-devel libXft-devel libcairo-devel libpixman-devel
Name:           oyranos
Version:        0.4.0
Release:        alt2_7
Summary:        The Oyranos Color Management System (CMS) 

Group:          Graphics
License:        GPLv2+
URL:            http://www.oyranos.org
Source0:        http://downloads.sourceforge.net/oyranos/oyranos-%{version}.tar.bz2
Patch0:         oyranos-0.3.2-shared_NVCtrl.patch
Patch1:         oyranos-0.4.0-pc_fix.patch
Patch2:         oyranos-0.3.2-yajl.patch

BuildRequires:  openexr-devel
BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires:  cups-devel
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  elektra-devel
BuildRequires:  libexiv2-devel
BuildRequires:  libfreetype-devel
BuildRequires:  gettext
BuildRequires:  libfltk-devel
BuildRequires: xorg-cf-files gccmakedep imake
BuildRequires:  lcms-devel >= 1.14
BuildRequires:  liblcms2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxslt-devel
BuildRequires:  libpng-devel
BuildRequires:  libraw-devel-static
BuildRequires: libtiffxx-devel libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libXcm-devel >= 0.5.0
BuildRequires:  libXNVCtrl-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libX11-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXrandr-devel
BuildRequires:  sane-devel
BuildRequires: color-filesystem rpm-macros-color
BuildRequires:  libyajl-devel >= 1.0
Requires: color-filesystem rpm-macros-color
Requires:  %{name}-libs = %{version}-%{release}

Requires:  icc-profiles-openicc >= 1.3.0
Requires:  icc-profiles-basiccolor-printing2009

Requires(post): %{_bindir}/elektra-kdb
Source44: import.info



%description
The Color Management System (CMS) Oyranos is intended to coordinate device
specific information (ICC colour profiles) and configure their system wide
settings. Target is a predictable path for applications and users to match
colors across devices and across platforms. 

Oyranos is intended as a OS level CMS.

%package libs
Summary:        Libraries for %{name}
Group:          System/Libraries

%description libs
The Color Management System (CMS) Oyranos is intended to coordinate device
specific information (ICC colour profiles) and configure their system wide
settings. Target is a predictable path for applications and users to match
colors across devices and across platforms. 

Oyranos is intended as a OS level CMS.


%package devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}-libs = %{version}-%{release}
# -doc deprecation introducted in F-11
Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc < 0.1.9-2

%description devel
This package contains development files for %{name}.



%prep
%setup -q
%patch0 -p1 -b .NVCtrl
%patch1 -p1 -b .pc_fix
%patch2 -p1 -b .yajl

#Kill interl yajl
rm -rf yajl


%build
%configure --disable-static --syscolordir=%{_colordir}

make %{?_smp_mflags}

# Doxygen documentation generated here
make docu

%install
rm -rf $RPM_BUILD_ROOT __doc

make DESTDIR=$RPM_BUILD_ROOT install_bin install_linguas install_gui

# Remove unneeded files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

# Multilib tweaks
touch -r ChangeLog $RPM_BUILD_ROOT%{_bindir}/%{name}-config
touch -r ChangeLog doc/html/*
touch -r ChangeLog $RPM_BUILD_ROOT%{_includedir}/%{name}/oyranos_version.h

#Manual install
mkdir -p $RPM_BUILD_ROOT%{_settingscolordir}
install -pm 0644 settings/*.policy.xml $RPM_BUILD_ROOT%{_settingscolordir}


%find_lang %{name}


%post 
if [ "`elektra-kdb ls system/sw/oyranos 2>/dev/zero | wc -l`" -eq 0 ]; then
  oyranos-policy -i %{_settingscolordir}/office.policy.xml  > /dev/null 2>&1
fi || :

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%exclude %{_sysconfdir}/xdg/autostart/oyranos-monitor-setup.desktop
%{_bindir}/%{name}-monitor
%{_bindir}/%{name}-monitor-daemon
%{_bindir}/%{name}-monitor-nvidia
%{_bindir}/%{name}-config-fltk
%{_bindir}/%{name}-policy
%{_bindir}/%{name}-profile
%{_bindir}/%{name}-profile-install
%{_bindir}/%{name}-profiles
%{_datadir}/applications/oyranos-profile-install.desktop
#{_mandir}/man1/%{name}-config-fltk.*
#{_mandir}/man1/%{name}-policy.*
%{_datadir}/color/settings/*.policy.xml

%files libs
%{_libdir}/*.so.*
%dir %{_libdir}/colour
%dir %{_libdir}/colour/modules
%{_libdir}/colour/modules/*.so.*
%dir %{_libdir}/oyranos
%{_libdir}/oyranos/*.so*

%files devel
%doc doc/html/*
%{_bindir}/%{name}-config
#{_mandir}/man3/%{name}.*
#{_mandir}/man3/%{name}-config.*
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt2_7
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt2_6
- update to new release by fcimport

* Wed Jan 30 2013 Cronbuild Service <cronbuild@altlinux.org> 0.4.0-alt2_5
- rebuild to get rid of unmets

* Tue Oct 09 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_3
- update to new release by fcimport

* Sat Jun 09 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_2
- update to new fc release

